# $Revision: 1.5 $, $Date: 2010/12/11 21:39:33 $
%define		modname	svn
%define		status	stable
Summary:	PHP Bindings for the Subversion Revision control system
Summary(pl.UTF-8):	Dowiązania PHP do systemou kontroli rewizji Subversion
Name:		php-pecl-%{modname}
Version:	1.0.0
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	f89e87ff86978a121b9e3ddf69d523c1
URL:		http://pecl.php.net/package/svn/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	re2c >= 0.12.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	subversion-devel >= 1.3
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bindings for the Subversion revision control system, providing a
method for manipulating a working copy or repository with PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Pakiet ten dostarcza dowiązań do systemu kontroli rewizji Subversion,
dostarczając metod do obróbki lokalną kopią lub repozytorium z poziomu
PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make} \
	CFLAGS="%{rpmcflags} $(apu-1-config --includes)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-svn.spec,v $
Revision 1.5  2010/12/11 21:39:33  arekm
- release 2

Revision 1.4  2010/06/02 15:22:44  glen
- up to 1.0.0

Revision 1.3  2009/10/09 07:34:01  amateja
- updated to 0.5.1

Revision 1.2  2008/10/11 09:42:18  adamg
- updated to 0.5.0
- license changed to php 3.01
- seems to work fine with svn 1.5

Revision 1.1  2008/06/24 15:58:43  adamg
- new (no svn-1.5 support for now)
